メインコンテンツへスキップ
POST
/
automation
/
actions
/
callbacks
/
2026-03
/
complete
コールバックをバッチ実施
curl --request POST \
  --url https://api.hubapi.com/automation/actions/callbacks/2026-03/complete \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "callbackId": "<string>",
      "outputFields": {},
      "typedOutputs": {},
      "failureReasonType": "<string>",
      "requestContext": {
        "source": "WORKFLOWS",
        "workflowId": 123,
        "actionId": 123
      }
    }
  ]
}
'
import requests

url = "https://api.hubapi.com/automation/actions/callbacks/2026-03/complete"

payload = { "inputs": [
{
"callbackId": "<string>",
"outputFields": {},
"typedOutputs": {},
"failureReasonType": "<string>",
"requestContext": {
"source": "WORKFLOWS",
"workflowId": 123,
"actionId": 123
}
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
inputs: [
{
callbackId: '<string>',
outputFields: {},
typedOutputs: {},
failureReasonType: '<string>',
requestContext: {source: 'WORKFLOWS', workflowId: 123, actionId: 123}
}
]
})
};

fetch('https://api.hubapi.com/automation/actions/callbacks/2026-03/complete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


This response has no body data.
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

ボディ

application/json
inputs
object[]
必須

レスポンス

最終更新日 2026年4月10日